
# Supports a -n for ending with no new line char, OR -d for beginning with Date Stamp
# Write log entry to console plus Installer Log
log()
{
	logDate=`date +[%m/%d/%Y" "%H:%M:%S]`
	if [ "$1" = '-n' ]; then
		shift
		echo -n "$*" | tee -a "$MY_LOG_PATH"
	elif [ "$1" = '-d' ]; then
		shift
		echo "$logDate $*" | tee -a "$MY_LOG_PATH"
	else
		echo "$*" | tee -a "$MY_LOG_PATH"
	fi
}
